Monitors API
Get monitor check results
Retrieve paginated check results for a monitor with optional date and location filters.
GET
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
id*stringMonitor ID
Format
uuidpage?integerPage number for pagination
Range
1 <= valueDefault
1limit?integerItems per page
Range
1 <= value <= 100Default
10date?stringFilter results to a specific UTC date (YYYY-MM-DD).
Format
datelocation?stringFilter by execution location
Check results
application/json- response
pagination?data?array<>curl -X GET 'https://demo.supercheck.dev/api/monitors/497f6eca-6276-4993-bfeb-53cbbbba6f08/results'Example Response
{ "pagination": { "total": 0, "page": 0, "limit": 0, "totalPages": 0, "hasNextPage": true, "hasPrevPage": true }, "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "monitorId": "075fef10-8522-4c43-ac39-f1796133943e", "checkedAt": "2019-08-24T14:15:22Z", "location": "string", "status": "up", "responseTimeMs": 0, "details": { "statusCode": 0, "statusText": "string", "errorMessage": "string", "responseHeaders": { "property1": "string", "property2": "string" }, "responseBodySnippet": "string", "ipAddress": "string", "location": "string", "sslCertificate": { "valid": true, "issuer": "string", "subject": "string", "validFrom": "string", "validTo": "string", "daysRemaining": 0 } }, "isUp": true, "isStatusChange": true, "consecutiveFailureCount": 0, "consecutiveSuccessCount": 0, "alertsSentForFailure": 0, "alertsSentForRecovery": 0, "testExecutionId": "string", "testReportS3Url": "string", "executionGroupId": "string" } ]}